<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.13" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="group__group__flash__enumerated__types" kind="group">
    <compoundname>group_flash_enumerated_types</compoundname>
    <title>Enumerated Types</title>
    <innerclass prot="public" refid="structcy__stc__flash__notify__t">cy_stc_flash_notify_t</innerclass>
      <sectiondef kind="enum">
      <memberdef id="group__group__flash__enumerated__types_1gae3ceedae602af2dd75864cf38246f496" kind="enum" prot="public" static="no">
        <name>cy_en_flashdrv_status_t</name>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a897d5be5e24dc4bc3dd18fed0dc46b02" prot="public">
          <name>CY_FLASH_DRV_SUCCESS</name>
          <initializer>=   0x00UL</initializer>
          <briefdescription>
<para>Success. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a1d1b380ee06fc3fe465b9b86ceeb190e" prot="public">
          <name>CY_FLASH_DRV_INV_PROT</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0x0UL)</initializer>
          <briefdescription>
<para>Invalid device protection state. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6fd04a03df6b09c3651fc5521b477b79" prot="public">
          <name>CY_FLASH_DRV_INVALID_FM_PL</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0x1UL)</initializer>
          <briefdescription>
<para>Invalid flash page latch address. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496ab01d31b19b94490a243703ee265307e0" prot="public">
          <name>CY_FLASH_DRV_INVALID_FLASH_ADDR</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0x2UL)</initializer>
          <briefdescription>
<para>Invalid flash address. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a4c8a9f142a5fd3b233dca115f336d729" prot="public">
          <name>CY_FLASH_DRV_ROW_PROTECTED</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0x3UL)</initializer>
          <briefdescription>
<para>Row is write protected. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a6b2c46694345a4366933c0a7dfbec4ae" prot="public">
          <name>CY_FLASH_DRV_IPC_BUSY</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0x5UL)</initializer>
          <briefdescription>
<para>IPC structure is already locked by another process. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a62511e22f423962fa0185df108b791be" prot="public">
          <name>CY_FLASH_DRV_INVALID_INPUT_PARAMETERS</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0x6UL)</initializer>
          <briefdescription>
<para>Input parameters passed to Flash API are not valid. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a55abaa55b19bcf4eddf1a7efc06c2b35" prot="public">
          <name>CY_FLASH_DRV_PL_ROW_COMP_FA</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0x22UL)</initializer>
          <briefdescription>
<para>Comparison between Page Latches and FM row failed. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496ac254c9da9cc66cbb96da5de8f0c11cdb" prot="public">
          <name>CY_FLASH_DRV_ERR_UNC</name>
          <initializer>=   ( CY_FLASH_ID_ERROR + 0xFFUL)</initializer>
          <briefdescription>
<para>Unknown error code. </para>          </briefdescription>
          <detaileddescription>
<para>See <ref kindref="member" refid="group__group__flash__functions_1ga607931427f2d4a2147c7c97ce96577e0">Cy_Flash_GetExternalStatus()</ref> </para>          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a836c247e885083c35ff635659972b14b" prot="public">
          <name>CY_FLASH_DRV_PROGRESS_NO_ERROR</name>
          <initializer>=   ( CY_FLASH_ID_INFO  + 0x0UL)</initializer>
          <briefdescription>
<para>Command in progress; no error. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a5244becc5d012c5195e6d04719575ed1" prot="public">
          <name>CY_FLASH_DRV_OPERATION_STARTED</name>
          <initializer>=   ( CY_FLASH_ID_INFO  + 0x1UL)</initializer>
          <briefdescription>
<para>Flash operation is successfully initiated. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <enumvalue id="group__group__flash__enumerated__types_1ggae3ceedae602af2dd75864cf38246f496a9ddac0d7038bbdfe57db1acbeac9df82" prot="public">
          <name>CY_FLASH_DRV_OPCODE_BUSY</name>
          <initializer>=   ( CY_FLASH_ID_INFO  + 0x2UL)</initializer>
          <briefdescription>
<para>Flash is under operation. </para>          </briefdescription>
          <detaileddescription>
          </detaileddescription>
        </enumvalue>
        <briefdescription>
<para><bold>cy_en_flashdrv_status_t: </bold><linebreak />This enum has the return values of the Flash driver.</para></briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="447" bodyfile="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" bodystart="433" column="1" file="/var/tmp/gitlab-runner1/builds/7e5c9300/0/repo/psoc6pdl/drivers/include/cy_flash.h" line="434" />
      </memberdef>
      </sectiondef>
    <briefdescription>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
  </compounddef>
</doxygen>